Category: Defect

Target version: 1.15

Description

Vsync seems inconsistently applied.

If one toggles Vsync in Ring Zero, that setting is carried over into all games that don't yet have a game config created. Otherwise
Vsync is set per game and toggling Vsync in Ring Zero only affects Ring Zero.

Unloading a game and returning to Ring Zero, appears to apply the unloaded games Vsync setting to that Ring Zero session,
regardless of what the users Ring Zero Vsync setting is.

Naturally, Snowberry by default bypasses Ring Zero, meaning | imagine most users exposure to the Vsync menu option will be in
game. Thus why | believe there are so many users reporting the black screen bug in Dday, when Dday has to automatically toggle
Vsync between games/Ring Zero; they are creating game configs before ever going to Ring Zero.

Associated revisions

Revision bc765f79 - 2014-11-16 22:17 - skyjake
Refactor|Client|libappfw|libgui: Replaced 'vid-fsaa' and 'vid-vsync' with Config variables
Console variables are game-specific, however the user most likely

prefers to use the same FSAA/vsync settings for all games as their
appropriate values depend on the available hardware.

Now the FSAA and vsync settings are configured persistently using
Config.window.main.fsaa and Config.window.main.vsync. The old cvars
were removed, however they can still be accessed via the console
command line using a mapping.
History

#1 - 2014-07-02 08:41 - skyjake
- Tags set to OpenGL

- Category set to Defect

- Assignee set to skyjake

- Target version setto 1.15

#2 - 2014-11-11 11:00 - skyjake

- Status changed from New to In Progress

#3 - 2014-11-11 11:01 - skyjake

| will remove any remaining game-specific vsync config and only use de::Config for this setting.

#4 - 2014-11-16 22:17 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#5 - 2015-02-06 12:52 - skyjake

- Subject changed from Vsync seems inconsistently applied to Vsync inconsistently applied in different games
